/* RESET */
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,menu,nav,output,ruby,section,summary,time,mark,audio,video{border:0;font-size:100%;font:inherit;vertical-align:baseline;margin:0;padding:0}
article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block}
body{line-height:1}
ol,ul{list-style:none;list-style-position:outside;margin:0;padding:0}
blockquote,q{quotes:none}
blockquote:before,blockquote:after,q:before,q:after{content:none}
table{border-collapse:collapse;border-spacing:0}

body {
    font-family: Arial, sans-serif;
    font-size: 1em;
    text-align: left;
    background: #fff; 
    color: #000;
    counter-reset: note;
}
a {color: #900;text-decoration: underline;}
a:hover,a:focus {background: #ff9;color: #f00}

/* PAGE CENTERING */
body > header, body > #main, body > footer  {
    position: relative;
    clear: both;
}
body > header > nav, body > #main > div {    
    position: relative;
    margin: 0 auto;
    max-width: 950px;
    width: 90%;
}

/* BACK TO TOP LINK */
body div#backToTop {
    position: fixed;
    top: 1ex;
    right: 1em;
}
body div#backToTop a {color: #000;}
body div#backToTop a:hover {color: #c00;}


/* NAVIGATION - header */
body > header {
    background: #000;
    color: #fff;
    line-height: 2em;
    font-size: 0.9em;
    text-align: center;
    text-transform: uppercase;
}
body > header > nav a {color: #fff;text-decoration: none}
body > header > nav a:hover,body > header > nav a:focus {background: transparent;color: #ff0}
body > header > nav ul li{
    position: relative;
    display: inline-block;
    margin: 0 1em;
}
body > header > nav ul li a {
    padding: 0.8ex;
}
body > header > nav ul li:first-child a {
    padding: 0;
}
body > header > nav ul img {
    vertical-align: middle;
}
body > header > nav ul li:last-child a {
    background: #c00;
}
body > header > nav ul li ul {
    display: none;
}
body > header > nav ul li:hover ul {
    margin: 0;
    padding: 0;
    display: block;
    position: absolute;
    top: 1.9em;
    left: -2px;
    background: #c00;
    z-index: 10000;
    border: 3px solid #000;
    border-top: 0;
}
body > header > nav ul li:hover ul li {
    display: block;
}
body > header > nav ul li:hover ul li, body > header > nav ul li:hover ul li a {
    padding: 0;
    text-align: left;
    margin: 0.5ex;
}

/* MAIN */
#main {
    min-height: 500px;    
    counter-reset: table;
    text-align: justify !important;
}
/** CONTENT */
#main > div {    
    padding: 1ex 0 1em;
    counter-reset: section;
}
/** Breadcrumb */
#main > div > nav {    
    font-size: 0.8em;
    padding: 0.5ex 0;
    counter-reset: image;/* dont't work if both counters in one selector's style */
}
/** Headers */
#main h1, #main h2, #main h3, #main h4, #main h5, #main h6 {
    font-weight: 700;    
    clear: both;    
    margin: 1em 0 1ex;
}
#main h1:before, #main h2:before, #main h3:before {padding-right: 1ex}
#main h1 {font-size: 1.6em;counter-reset: sub-section}
#main h1:before { content: counter(section); counter-increment: section }
#main h2 {font-size: 1.4em;counter-reset: composite}
#main h2:before { content: counter(section) "." counter(sub-section); counter-increment: sub-section }
#main h3 {font-size: 1.2em;counter-reset: detail}
#main h3:before { content: counter(section) "." counter(sub-section) "." counter(composite); counter-increment: composite }

#main h4 {
    font-size: 1.1em
}
#main .noPrefix:before {
    display: none !important; 
    padding-right: 0 !important
}

/** Text elements */
#main p {
    text-indent: 2em;        
    line-height: 1.3em;  
    margin-bottom: 1ex;
}
#main strong {
    font-weight: 700;
}
#main em {
    font-style: italic;
}
#main mark {
    background: #ff0;
    color: #000;
}
#main del {
    text-decoration: line-through;
}
#main code {    
    font-family: "Courier New", Courier, monospace;
    white-space: pre;
}
#main  p code {
    display: inline;
    font-size: 0.9em;
}

/** Lists */
#main ul, #main ol {
    margin: 1em 1ex;    
    list-style-position: outside;
    margin-left: 2em;
    line-height: 1.5em;
}
#main ul > li {
    list-style-type: square;
}
#main ol > li {
    list-style-type: decimal;
}
#main ul li ul, #main ol li ol{
    margin: 0 1em;
}
/*** Indexes */
#main ul.index {margin-left: 0}
#main ul.index li {
    list-style-type: none;
    position: relative;
}
#main ul.index li:hover > span {
    cursor: pointer;
}
#main ul.index li:hover > span{
    color: #c00;
}
#main ul.index li figure {
    display: none;
}
#main ul.index li:hover figure {
    display: block;
    position: absolute;
    top: -1em;
    right: 0;
    padding: 1ex;
    background: #fff;
    border: 1px solid #ccc;
    z-index: 200;
}
/*** Definitions lists */
#main dl {
    margin: 1em 0;
    line-height: 1.5em;
}
#main dt{
    display: inline-block;
    font-weight: 700;
    width: 5em;
}
#main dd {
    display: inline;
}
#main dd:after {
    content: "\A";
    white-space: pre;
}

/*** Counters */
#main ol.content {margin-left: 0}
#main ol.content ol {margin: 0}
#main ol.content, #main ol.content ol { counter-reset: item; list-style-type: none !important;}
#main ol.content li {display: block}
#main ol.content li:before { content: counters(item, "."); counter-increment: item; padding-right: 1ex }

/** Figures */
#main figure {
    margin: 1em 0;
    font-size: 0.9em;
}
#main figure figcaption{
    padding: 1ex 0;
    text-align: center;
    font-weight: 700;
    font-size: 0.8em;
}
/*** Images */
#main figure img, #main figure embed{
    display: block;
    margin: 0 auto;
}
#main figure.img figcaption:before{
    content: "Obrázek " counter(image) "\A0\2013\A0"; counter-increment: image;
}
/*** Code */
#main figure code {
    padding: 1ex 0;
    overflow: auto;
}
/*** Table */
#main figure table{
    width: auto;
    margin: 0 auto;
    border: 1px solid  #000;
    border-right: 0;
    border-bottom: 0;
}
#main figure table td, #main figure table th {
    padding: 1ex;
    border-right: 1px solid #000;
    border-bottom: 1px solid #000;
}
#main figure table th {
    background: #eee;
    font-weight: 600;
}
#main figure.table figcaption:before{
    content: "Tabulka " counter(table) "\A0\2013\A0"; counter-increment: table;
}
/** Abbrevations */
#main abbr {
    border-bottom: 1px dotted #000;
}
#main abbr:hover {
    border-bottom: 1px solid #000;
    color: #900;
    cursor: help;
}
/** Foot notes */
#main a.note {  
    text-decoration: none;
    padding-left: 0.2ex;
}
#main a.note:after {    
    content: counter(note); 
    counter-increment: note;
    vertical-align: super;
    font-size: 0.6em;
}
#main aside.notes {
    margin: 1em 0;
    font-size: 0.8em;
    counter-reset: item;
    background: transparent url('../images/notes.jpg') 0 0 no-repeat;
}
#main aside.notes ol {
    padding-top: 1em;
    margin-left: 0;
}
#main aside.notes ol li {
    list-style-type: none;
}
#main aside.notes ol li:before {
    content: counter(item); 
    counter-increment: item; 
    padding-right: 1em;
    color: #333;
    font-weight: 700;
    font-size: 0.9em;
    vertical-align: text-top;
}
/** Source */
#main aside.sources {
    margin: 1em 0;
}
#main aside.sources strong {
    display: block;
    font-weight: 700;
    margin-bottom: 1ex;
}
#main aside.sources ol{
    margin: 0;
    counter-reset: item;
    position: relative;
}
#main aside.sources ol li {
    position: relative;
    left: 1.5em;
    list-style-type: none;
    margin: 0 0 1ex 0;
    list-style-position: inside;
}
#main aside.sources ol li:before {
    content: "[" counter(item) "]"; 
    counter-increment: item; 
    position: absolute;
    left: -1.5em;
}
#main aside.sources ol li.notUsed {
    visibility: hidden;
    margin: 0;
    height: 0;
}
/*** Links in text - added via JQuery */
#main  a.src {    
    color: #000;
    text-decoration: none;
}
#main span.invalidSource { 
    background: #c00;
    color: #fff;
    cursor: help;
    font-weight: 700;
}
#main span.invalidSource:before { 
    background: #fff;
    content: '\A0';
}
/*** Target - notes and sources */
#main aside.notes ol li:target, #main aside.sources ol li:target {
    background-color: #ff9;
    color: #006;
    font-weight: 700;
}

/** Tables */
#main table {
    width: 100%;
    margin: 1em 0;
    text-align: center;
}
#main table td,#main table th{
    padding: 1ex;
}
/** Char analysis */
#main table#charAnalysis th {
    font-weight: 700;
    width: 30px;
    background: #000;
    color: #fff;
}
#main table#charAnalysis td.count {
    width: 50px;
    border: 1px solid #000;
}
#main table#charAnalysis td.max{
    color: #c00;
    background: #ffc;
}
#main table#charAnalysis td.graph {
    width: 100%;
    padding: 0;
}
#main table#charAnalysis td.graph span {
    display: block;
    background: #c00;
    border:1px solid #000;
    border-left: 0;
}
/*** Word search table */
#main table#wordUsage th {
    max-width: 33%;
    background: #000;
    color: #fff;
}
#main table#wordUsage td {
    border-bottom: 1px solid #000;
}
/*** Word search form */
#main form#wordSearch input {
    border: 1px solid #000;
    padding: 0.5ex;
}
#main form#wordSearch input[type="text"] {
    width: 50%;
}
#main form#wordSearch input[type="submit"] {
    background: #c00;
    color: #fff;
}
#main form#wordSearch input[type="submit"]:hover {
    background: #000;
    cursor: pointer;
}
/** Other */
#main hr {
    clear: both;
    background: transparent;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
}
#main table.adminSources {
    text-align: left;
}
#main table.adminSources .cssClass {
    width: 20%;
}


/* FOOTER */
table.neighbours {
    width: 100%;
    color: #555;
    font-size: 0.7em;
    text-align: center;
    background: #eee;
    border: 1px solid #ccc;
    border-left: 0;
    border-right: 0;
    margin: 0 !important;
}
table.neighbours td{
    width: 33%;
    padding: 1ex 0;
}
table.neighbours td a{
    text-decoration: none;
}
